<bugID>1200798<Summary>Refactor sources and breakpoints to use redux</Summary><Description>Just realized I never filed a bug for this, but I'm working on this right now. This is the bulk of the debugger cleanup. Once this is done, everything concerning sources and breakpoints will be going through the fluxify library that landed in 1177891, which isn't too dissimilar from how perf tools works from what I hear. I already did a lot of this refactor back in June, but that was mostly the views. I'm also splitting apart debugger-controller.js and turning the controllers more into "stores" which just manage state transitions.

This shouldn't take too much longer (2 weeks?) but I suspect updating all the tests will take a while. Updating the tests could be done in parallel though so if Eddy or someone helps it shouldn't be too bad.

After this is done, we'll have some good code to show how various use cases work in a flux-style environment. I'll work more on docs and see what people think then.</Description></bugID>